package com.vormd;

import android.graphics.Bitmap;
/**
 * Setting class which saves all the settings for rendering as well the paths
 * @author Manuel Hochmayr, e0627715@student.tuwien.ac.at
 *
 */
public class Settings {
	
	public static int MIP = 0;
	public static int AVARAGING = 1;
	public static int COMPOSITING = 2;
	public static int SLICING = 3;
	
	private String volumeFilename;
	private boolean isAssetFile;
	private String transferImageFilenmae;
	private float dz;
	private boolean adaptiv;
	private boolean showFPS;
	private int mode;
	private boolean volumeLoaded;
	private boolean usingStandardTransfer;
	private Bitmap transferFunctionBMP;
	
	public Settings(){
		volumeFilename = "lobster.dat";
		isAssetFile = true;
		transferImageFilenmae = "";
		dz = 0.003f;
		adaptiv = true;
		showFPS = true;
		mode = MIP;
		volumeLoaded = false;
		usingStandardTransfer = true;
	}
	
	public String getVolumeFilename() {
		return volumeFilename;
	}
	public void setVolumeFilename(String volumeFilename) {
		this.volumeFilename = volumeFilename;
	}
	public String getTransferImageFilenmae() {
		return transferImageFilenmae;
	}
	public void setTransferImageFilenmae(String transferImageFilenmae) {
		this.transferImageFilenmae = transferImageFilenmae;
	}
	public float getDz() {
		return dz;
	}
	public void setDz(float dz) {
		this.dz = dz;
	}
	public boolean isAdaptiv() {
		return adaptiv;
	}
	public void setAdaptiv(boolean adaptiv) {
		this.adaptiv = adaptiv;
	}
	public boolean isShowFPS() {
		return showFPS;
	}
	public void setShowFPS(boolean showFPS) {
		this.showFPS = showFPS;
	}
	public int getRenderMode() {
		return mode;
	}
	public void setRenderMode(int mode) {
		this.mode = mode;
	}

	public boolean isVoluemLoaded() {
		return volumeLoaded;
	}

	public void setVoluemLoaded(boolean voluemLoaded) {
		this.volumeLoaded = voluemLoaded;
	}

	public boolean isAssetFile() {
		return isAssetFile;
	}

	public void setAssetFile(boolean isAssetFile) {
		this.isAssetFile = isAssetFile;
	}

	public boolean isUsingStandardTransfer() {
		return usingStandardTransfer;
	}

	public void setUsingStandardTransfer(boolean usingStandardTransfer) {
		this.usingStandardTransfer = usingStandardTransfer;
	}

	public Bitmap getTransferFunctionBMP() {
		return transferFunctionBMP;
	}

	public void setTransferFunctionBMP(Bitmap transferFunctionBMP) {
		this.transferFunctionBMP = transferFunctionBMP;
	}
	
	
	
	
	
	
	
	

}
